function [bios,prot] = kBios(ref)

if nargin~=1
	disp('KVERSION   Read software version from Kameleon K376SBC ')
	disp(' ')
	disp('kversion(ref) ')
	disp('  Display the versions of the BIOS and of the protocol. ')
	disp('  Use the reference obtained with kopen. ')
	disp('[vers_bios,vers_protocol] = kBios(ref) ')
	disp('  Return the versions as strings. ')
	disp(' ')
	disp('  Written by Yves Piguet, K-Team SA, 9/98 ')
	return
end

reply = kcmd(ref,'B');
i = findstr(reply, ',');
bios_string = reply(i(1)+1:i(2)-1);
prot_string = reply(i(2)+1:end);
values = sscanf(reply,'b,%f,%f');
bios = values(1);
prot = values(2);

if nargout <= 1		% display nicely the versions
	fprintf('Kameleon K376SBC BIOS version: %s\n', bios_string);
	fprintf('Kameleon K376SBC protocol version: %s\n', prot_string);
end
