function r = kTurret(ref,turretID,textString)

if nargin~=3
	disp('KTURRET   Send command (in form of text string) to turret ')
	disp(' ')
	disp('value = kTurret(ref,turretID,textString) ')
	disp('  The response of the turret is returned as a string. ')
	disp('  A higher-level routine could thus call kTurret, and then ')
	disp('  parse the returned string. ')
	disp('  e.g. see the included kTurretBios command ')
	disp('  Use the communication parameters specified with kcmd. ')
	disp(' ')
	disp('  Written by Skye Legon, K-Team SA, 02/99 ')
	return
end

reply = kcmd(ref,[sprintf('T,%d,',turretID) textString]);
[value,count,errmsg] = sscanf(reply,'t,%d,%s');
turret_response = char(value(2:length(value)))';
if isempty(errmsg)
   r = turret_response;
else
   r = -1;
end
