function r = kcmd(ref,cmd,multiline)

if (nargin<2 | nargin>3)
	disp('KCMD     high-level command for communicating with Khepera')
	disp(' ')
	disp('kcmd(command, multiline)')
	disp('  send a single command to Khepera (command shouldn''t contain CR)')
	disp(' ')
	disp('r = kcmd(command)')
	disp('  send a command to Khepera and set r to its reply (without CR)')
	disp(' ')
	disp('r = kcmd(command, multiline)')
	disp('  continue receiving until timeout if multiline')
	disp(' ')
	disp('  Written by Yves Piguet, 8/98.')
	return
elseif nargin == 2
	multiline = 0;
end

cmdlf = [cmd,10];	% add a linefeed
if multiline
	r = eval('ksend(cmdlf,ref,0)','ksends(cmdlf,ref,0)');
		% use static buffer if the dynamic buffer is not supported
else
	r = eval('ksend(cmdlf,ref)','ksends(cmdlf,ref)');
end
